<!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Desarrollar una red social con Symfony{% endblock %}</title>
        <!--Bootstrap-->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
        <!--Fontawesome-->
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
        <link rel="stylesheet" href="{{asset('assets/styles.css')}}">
    {% block stylesheets %}{% endblock %}
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
            <a class="navbar-brand" href="#"><i class="fas fa-users"></i> Mi Red Social</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarText">
                <ul class="navbar-nav mr-auto">

                    {% if app.user == null %}
                        <li class="nav-item">
                            <a class="nav-link" href="{{path('login')}}"><i class="fas fa-sign-in-alt"></i> Login</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{path('register')}}"><i class="fas fa-user-edit"></i> Registro</a>
                        </li>
                    {%else%}
                        <li class="nav-item active">
                            <a class="nav-link" href="{{path('publication_index')}}"><i class="fas fa-home"></i> Inicio  <span class="sr-only">(current)</span></a>
                        </li>
                        <li class="nav-item">
                        <li class="nav-item">
                            <a class="nav-link" href="{{path('logout')}}"><i class="fas fa-sign-out-alt"></i> Logout</a>
                        </li>
                        <a class="nav-link" href="{{path('user-list')}}"><i class="fas fa-list-ul"></i> Gente</a>
                        </li>
                        <form class="form-inline" action="{{path('user-search')}}">
                            <input class="form-control mr-sm-2" type="search" placeholder="Buscar" aria-label="Search" name="busqueda">
                            <button class="btn btn-secondary my-2 my-sm-0" type="submit"><i class="fas fa-search"></i></button>
                        </form>

                    {% endif %}
                </ul>


                {% if app.user != null %}


                    
                    <ul class="navbar-nav" >
                        <li class="pull-right message-li">
                            <a class="nav-link" href="{{path('private_messages')}}"><i class="fas fa-envelope"></i> Mensajes privados
                                <span class="badge badge-light num-notifications-msg" style="font-size: 16px">0</span>
                            </a>
                        </li>
                        <li class="pull-right notification-li">
                            <a class="nav-link" href="{{path('notifications_index')}}"><i class="fas fa-bell"></i> Notificaciones
                                <span class="badge badge-light num-notifications" style="font-size: 16px">0</span>
                            </a>
                        </li>
                    </ul>
                    <div class="dropdown drop-menu">
                        <a class="btn btn-primary dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <div class="avatar">
                                {% if app.user.image==null %}
                                    <img src="{{asset('uploads/users/default-user-icon.png')}}" alt="" />
                                {% else %}
                                    <img src="{{asset('uploads/users/'~app.user.image)}}" alt="" />
                                {% endif %}
                            </div>
                            {{app.user.name~" "~app.user.surname}}
                            <span class="nick-menu">({{app.user.nick}})</span>
                        </a>

                        <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                            <a class="dropdown-item" href="{{path('user_profile',{'nickname':app.user.nick})}}"><i class="fas fa-user"></i> Mi perfil</a>
                            <a class="dropdown-item" href="{{path('user-edit')}}"><i class="fas fa-users-cog"></i> Mis datos</a>
                            <a class="dropdown-item" href="#"><i class="fas fa-question-circle"></i> Ayuda</a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item" href="{{path('logout')}}"><i class="fas fa-sign-out-alt"></i> Salir</a>
                        </div>
                    </div>
                {% endif %}
            </div>
        </nav>
    </header>
    <div class="container">
        <div class="col-6 offset-md-3">
            {% for message in app.session.flashbag().get('status') %}
                <div class="alert alert-success text-center">
                    {{message}}
                </div>
            {% endfor %}
        </div>
    </div>
{% block body %}{% endblock %}
<footer>
    <hr>
    <p class="text-muted text-center">Copyleft Alberto Ceballos - www.albertoceballos.es</p>
</footer>
<script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js" integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k" crossorigin="anonymous"></script>
<script src="{{asset('assets/js/jquery-ias.min.js')}}"></script>

<script>
    //para conseguir una URL base:
    var URL = "{{app.request().getSchemeAndHttpHost()}}/symfony/red-social/public";
</script>
<script src="{{asset('assets/js/common.js')}}"></script>
{% block javascripts %}{% endblock %}
</body>
</html>
